MakeXSuckLess
=============

This repository contains custom CSS to make some websites less disgusting.

Firefox
-------

* In Firefox Quantum, go to about:config and enable toolkit.legacyUserProfileCustomizations.stylesheets
* [Find your profile folder](https://support.mozilla.org/en-US/kb/profiles-where-firefox-stores-user-data)
* Create a subfolder named "chrome" (unless it already exists).
* Create a file "userContent.css" (unless it already exists).
* Put the custom CSS in there, surround the CSS for example.com with @-moz-document domain(example.com) {  }. 

The result should look something like this:

```
@-moz-document domain(twitter.com) {
  div[data-testid="sidebarColumn"] { display: none !important; }
}
```


suckless surf
-------------

Follow the instructions on [https://surf.suckless.org/stylesheets/](https://surf.suckless.org/stylesheets/)


Chrome
------

As far as I know, you can only use custom stylesheets via extensions.


Final note
----------

If you want to buy me a beer, just send inconspicuous envelopes.
